MacWrtParserInternal::State Struct Reference

Internal: the state of a MacWrtParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::string | m_compressCorr
| the correspondance between int compressed and char : must be 15 character
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
FileHeader | m_fileHeader
| the header
WindowsInfo | m_windows [3]
| the information of main document, header, footer
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a MacWrtParser.

## Constructor & Destructor Documentation

## State()

MacWrtParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int MacWrtParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_compressCorr

std::string MacWrtParserInternal::State::m_compressCorr

the correspondance between int compressed and char : must be 15 character

Referenced by State().

## m_fileHeader

FileHeader MacWrtParserInternal::State::m_fileHeader

the header

Referenced by State().

## m_footerHeight

int MacWrtParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_headerHeight

int MacWrtParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_numPages

int MacWrtParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_windows

WindowsInfo MacWrtParserInternal::State::m_windows[3]

the information of main document, header, footer

The documentation for this struct was generated from the following file:

- MacWrtParser.cxx